package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.CourseTimeEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author hgw
 * Created by 2022-03-30
 */
@ApiModel(value = "创建课程组验校时间接是否可用参数类")
public class CheckCourseTimeDto implements Serializable {

    @NotNull(message = "老师Id不能为空")
    @ApiModelProperty(value = "老师Id")
    private Long teacherId;

    @NotNull(message = "是否需要自动排课不能为空")
    @ApiModelProperty(value = "是否需要循环 0：不需要 1：需要")
    private Integer loop;

    @NotBlank(message = "课程类型不能为空")
    @ApiModelProperty(value = "PRACTICE：陪练课，LIVE：直播课")
    private String  courseType;

    @NotNull(message = "课程数不能为空")
    @ApiModelProperty(value = "课程数")
    private Integer courseNum;

    @NotNull(message = "课程时间不能为空")
    @ApiModelProperty(value = "课程时间接收类")
    private List<CourseTimeEntity> timeList;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getLoop() {
        return loop;
    }

    public void setLoop(Integer loop) {
        this.loop = loop;
    }

    public Integer getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Integer courseNum) {
        this.courseNum = courseNum;
    }

    public List<CourseTimeEntity> getTimeList() {
        return timeList;
    }

    public void setTimeList(List<CourseTimeEntity> timeList) {
        this.timeList = timeList;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }
}
